/Users/bernard/b20/bsoft/src/rwmodel/rwmodel_bild.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwmodel/rwmodel_bild.cpp - Library routines to read and write Chimera BILD model parameters.

SYNOPSIS

#include 'rwmodel.h'
#include 'model_neighbors.h'
#include 'model_poly.h'
#include 'Color.h'
#include 'utilities.h'
#include 'timer.h'
#include <fstream>

  Functions
Bcomponent * component_add_if_not_exist (Vector3< double > loc, Bcomponent **comp, int &number)
Bmodel * read_model_bild (Bstring *file_list)
Reads Chimera BILD model parameters.
void bild_color (ofstream &fbld, RGB< float > rgb)
void bild_color (ofstream &fbld, RGBA< float > rgba)
void bild_sphere (ofstream &fbld, Vector3< double > loc, double radius)
void bild_cylinder (ofstream &fbld, Vector3< double > start, Vector3< double > end, double radius)
void bild_polygon_start (ofstream &fbld, Vector3< double > vertex)
void bild_polygon_add (ofstream &fbld, Vector3< double > vertex)
void bild_polygon_end (ofstream &fbld, Vector3< double > vertex)
void bild_arrow (ofstream &fbld, Vector3< double > start, Vector3< double > end, double cylrad, double conerad, double rho)
int write_model_bild (Bstring &filename, Bmodel *model)
Writes Chimera BILD model parameters.
int model_to_bild_orientations (Bstring &filename, Bmodel *model, int vec_type, int color_type)
Converts a model into a representation with views.
int model_to_bild_view_sphere (Bstring &filename, Bmodel *model, int color_type)
Converts a model into a representation with views.
int model_to_bild_view_polygons (Bstring &filename, Bmodel *model, int order, int color_type)
Converts a model into a representation with view polygons.
int model_to_bild_polygons (Bstring &filename, Bmodel *model, int color_type)
Converts a model into a bild polygon representation.
int model_to_bild_neighbor_planes (Bstring &filename, Bmodel *model, int color_type)
Converts a model into a bild neighbor plane representation.

  Variables
int verbose

Detailed Description

Library routines to read and write Chimera BILD model parameters.

Author:
    Bernard Heymann

Date:
    Created: 20080521

    Modified: 20160616

Definition in file rwmodel_bild.cpp.

Function Documentation

  void bild_arrow (ofstream & fbld, Vector3< double > start, Vector3< double > end, double cylrad, double conerad, double rho)

Definition at line 219 of file rwmodel_bild.cpp.

  void bild_color (ofstream & fbld, RGB< float > rgb)

Definition at line 184 of file rwmodel_bild.cpp.

  void bild_color (ofstream & fbld, RGBA< float > rgba)

Definition at line 189 of file rwmodel_bild.cpp.

  void bild_cylinder (ofstream & fbld, Vector3< double > start, Vector3< double > end, double radius)

Definition at line 199 of file rwmodel_bild.cpp.

  void bild_polygon_add (ofstream & fbld, Vector3< double > vertex)

Definition at line 210 of file rwmodel_bild.cpp.

  void bild_polygon_end (ofstream & fbld, Vector3< double > vertex)

Definition at line 214 of file rwmodel_bild.cpp.

  void bild_polygon_start (ofstream & fbld, Vector3< double > vertex)

Definition at line 206 of file rwmodel_bild.cpp.

  void bild_sphere (ofstream & fbld, Vector3< double > loc, double radius)

Definition at line 194 of file rwmodel_bild.cpp.

  Bcomponent* component_add_if_not_exist (Vector3< double > loc, Bcomponent ** comp, int & number)

Definition at line 21 of file rwmodel_bild.cpp.

  int model_to_bild_neighbor_planes (Bstring & filename, Bmodel * model, int color_type)

Converts a model into a bild neighbor plane representation.

Parameters:
    &filename bild format file name.
    *model model structure.
    color_type flag to color planes.

Returns:
    int 0, <0 on error.

    Color scheme types:
        1   spectrum/rainbow.
        2   fom.

Definition at line 593 of file rwmodel_bild.cpp.

  int model_to_bild_orientations (Bstring & filename, Bmodel * model, int vec_type, int color_type)

Converts a model into a representation with views.

Parameters:
    &filename bild format file name.
    *model model structure.
    vec_type 0=views, 1=vectors, 2=velocity vectors.
    color_type flag to color components.

Returns:
    int 0, <0 on error.

    A sphere is drawn for every component with a cylinder indicating its view.

Definition at line 275 of file rwmodel_bild.cpp.

  int model_to_bild_polygons (Bstring & filename, Bmodel * model, int color_type)

Converts a model into a bild polygon representation.

Parameters:
    &filename bild format file name.
    *model model structure.
    color_type flag to color polygons.

Returns:
    int 0, <0 on error.

    Color scheme types:
        1   spectrum/rainbow.
        2   fom.

Definition at line 523 of file rwmodel_bild.cpp.

  int model_to_bild_view_polygons (Bstring & filename, Bmodel * model, int order, int color_type)

Converts a model into a representation with view polygons.

Parameters:
    &filename bild format file name.
    *model model structure.
    order polygon order.
    color_type flag to color components.

Returns:
    int 0, <0 on error.

    A sphere is drawn for every component with a cylinder indicating its view.

Definition at line 444 of file rwmodel_bild.cpp.

  int model_to_bild_view_sphere (Bstring & filename, Bmodel * model, int color_type)

Converts a model into a representation with views.

Parameters:
    &filename bild format file name.
    *model model structure.
    color_type flag to color components.

Returns:
    int 0, <0 on error.

    A sphere is drawn for every component with a cylinder indicating its view.

Definition at line 362 of file rwmodel_bild.cpp.

  Bmodel* read_model_bild (Bstring * file_list)

Reads Chimera BILD model parameters.

Parameters:
    *file_list list of model parameter file names.

Returns:
    Bmodel* model parameters.

Definition at line 43 of file rwmodel_bild.cpp.

  int write_model_bild (Bstring & filename, Bmodel * model)

Writes Chimera BILD model parameters.

Parameters:
    &filename model parameter file name.
    *model model parameters.

Returns:
    int models written.

Definition at line 232 of file rwmodel_bild.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.